package com.zjrs.zwnw.rlzysc.bpo.impl;

import org.mohrss.leaf.core.framework.domain.bpo.impl.BPOImpl;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.blo.CxtjBLO;
import com.zjrs.zwnw.rlzysc.bpo.CxtjBPO;
import com.zjrs.zwnw.rlzysc.dto.CxtjQueryDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import jakarta.servlet.http.HttpServletResponse;

@Service
public class CxtjBPOimpl extends BPOImpl implements CxtjBPO {

    @Autowired
    private CxtjBLO cxtjBLO;

    @Override
    public PageResult dwtjcxList(CxtjQueryDTO dto) {
        return cxtjBLO.dwtjcxList(dto);
    }

    @Override
    public PageResult grqztjList(CxtjQueryDTO dto) {
        return cxtjBLO.grqztjList(dto);
    }

    @Override
    public void dwtjcxExp(CxtjQueryDTO dto, HttpServletResponse res) {
        cxtjBLO.dwtjcxExp(dto, res);
    }

    @Override
    public void grqztjExp(CxtjQueryDTO dto, HttpServletResponse res) {
        cxtjBLO.grqztjExp(dto, res);
    }

    @Override
    public PageResult jlyllsList(CxtjQueryDTO dto) {
        return cxtjBLO.jlyllsList(dto);
    }

    @Override
    public void jlyllsExp(CxtjQueryDTO dto, HttpServletResponse res) {
        cxtjBLO.jlyllsExp(dto, res);
    }
}
